Skip to main content
PUT
/
client
/
user
/
invites
/
{id}
Update user invite
curl --request PUT \
  --url https://api.orbital-systems.com/client/user/invites/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "email": "jsmith@example.com",
  "group_id": "<string>",
  "device_id": "<string>",
  "accepted": true,
  "updated_at": "<string>",
  "role": "<string>"
}
'
import requests

url = "https://api.orbital-systems.com/client/user/invites/{id}"

payload = {
"email": "jsmith@example.com",
"group_id": "<string>",
"device_id": "<string>",
"accepted": True,
"updated_at": "<string>",
"role": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
group_id: '<string>',
device_id: '<string>',
accepted: true,
updated_at: '<string>',
role: '<string>'
})
};

fetch('https://api.orbital-systems.com/client/user/invites/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "inviter": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "inviter_email": "jsmith@example.com",
  "email": "jsmith@example.com",
  "group_id": "<string>",
  "accepted": true,
  "device_id": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "role": "<string>"
}
{}
{}
{}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Invite ID

Body

application/json
email
string<email>
group_id
string
device_id
string
accepted
boolean
updated_at
string
role
string

Response

Success

id
string<uuid>
inviter
string<uuid>
inviter_email
string<email>
email
string<email>
group_id
string
accepted
boolean
device_id
string
created_at
string
updated_at
string
role
string